本表的结构格式类似电脑文件结构，可能需要根据缩进判断。单个语言不以 `├─` 而以两个空格开头。

在大部分情况下不会列出方言，除了以下几个例外：英语、德语、法语、葡语、阿拉伯语、汉语、琉球语、韩语。

带 `*` 表示已灭绝，带 `?` 表示该语系划分有争议或已被否决但影响比较大。

对了，在两个词根用 hyphen 连起来时，前者会变成 -o 的形式，这是 combining form。

本表基本上是从维基百科上查出来的。

藏缅语族参考孙宏开、Matisoff 的分类。

南亚语系参考 Diffloth 的分类。

当你看到一堆语言放在同一个语族或语支下面，一般说明下一级分类过于复杂我已经弃疗了，所以就直接列出来。一般都是按照人数从多到少排序，马来—波利尼西亚语族部分排序比较随机。

蒙古语系参考杨虎嫩的分类。

尼日尔—刚果语系和尼罗—撒哈拉语系似乎列得太细了，一堆语言基本没见过，而且分类都是杂糅了百科上的各种方案。

尾部一些语系的顺序是，新几内亚岛、澳大利亚、北美洲、南美洲。

```
语言
├─印欧语系/Indo-European
│  ├─日耳曼语族/Germanic
│  │  ├─西日耳曼语支/West Germanic
│  │  │  ├─盎格鲁—弗里斯兰语/Anglo-Frisian
│  │  │  │    英语/English
│  │  │  │    低地苏格兰语/Lowland Scots/Scots
│  │  │  │    弗里斯兰语/Frisian
│  │  │  ├─低地德语/Low German/Niederdeutsch
│  │  │  ├─低地法兰克语/Low Franconian
│  │  │  │    荷兰语/Dutch/Nederlands
│  │  │  │    南非荷兰语/African Dutch/Afrikaans
│  │  │  │    弗莱芒语/Flemish
│  │  │  └─高地德语/High German/Hochdeutsch
│  │  │       标准德语/(Standard) German/Hochdeutsch
│  │  │       瑞士德语/Swiss German
│  │  │       奥地利德语/Austrian German
│  │  │       阿勒曼尼语/Alemannic German
│  │  │       卢森堡语/Luxembourgish
│  │  │       意第绪语/Yiddish
│  │  ├─北日耳曼语支/North Germanic
│  │  │    丹麦语/Danish/dansk
│  │  │    挪威语/Norwegian/norsk(bokmål,nynorsk)
│  │  │    瑞典语/Swedish/svenska
│  │  │    冰岛语/Icelandic/íslenska
│  │  │    法罗语/Faroese/føroyskt
│  │  └─*东日耳曼语支/East Germanic
│  │       *哥特语/Gothic
│  │       *勃艮第语/Burgundian
│  │       *汪达尔语/Vandalic
│  ├─凯尔特语族/Celtic
│  │  ├─海岛凯尔特语支/Insular Celtic
│  │  │    爱尔兰语/Irish/Gaeilge
│  │  │    马恩语/Manx
│  │  │    苏格兰盖尔语/Scottish Gaelic/Gàidhlig
│  │  │    威尔士语/Welsh/Cymraeg
│  │  │    康沃尔语/Cornish
│  │  │    布列塔尼语/Breton
│  │  └─*大陆凯尔特语支/Continental Celtic
│  │       *高卢语/Gaulish
│  │       *加拉提亚语/Galatian
│  │       *勒庞蒂语/Lepontic
│  ├─*意大利语族/Italic
│  │    *拉丁语/Latin
│  ├─罗曼语族/Romance
│  │  │ 萨丁尼亚语/Sardinian
│  │  ├─意大利-达尔马提亚语支/Italo-Dalmatian
│  │  │    意大利语/Italian/italiano
│  │  │    那不勒斯语/Neapolitan
│  │  ├─西罗曼语支/West Romance
│  │  │  ├─高卢—意大利语支/Gallo-Italian
│  │  │  ├─高卢—罗曼语支/Gallo-Romance
│  │  │  │  └─奥依语支/langues d'oïl
│  │  │  │       法语/French/Français
│  │  │  │       非洲法语/African French
│  │  │  │       魁北克法语/Quebec French
│  │  │  │       诺曼语/Norman
│  │  │  ├─伊比利亚—罗曼语支/Ibero-Romance
│  │  │  │    西班牙语/Spanish/español
│  │  │  │    葡萄牙语/Portuguese/português
│  │  │  │    加利西亚语/Galician
│  │  │  │    巴西葡语/Brazilian Portuguese
│  │  │  │    澳门土生葡语/Macanese Patois
│  │  │  ├─奥克—罗曼语支/Occitano-Romance
│  │  │  │    加泰罗尼亚语/Catalan/català
│  │  │  │    奥克语/Occitan
│  │  │  └─雷蒂亚—罗曼语支/Rhaeto-Romance
│  │  │       拉定语/Ladin
│  │  │       弗留利语/Friulian
│  │  │       罗曼什语/Romansh
│  │  └─东罗曼语支/East Romance
│  │       罗马尼亚语/Romanian/română
│  ├─波罗的—斯拉夫语族/Balto-Slavic
│  │  ├─波罗的语族/Baltic
│  │  │  ├─东波罗的语支/East Baltic
│  │  │  │    拉脱维亚语/Latvian/latviešu
│  │  │  │    立陶宛语/Lithuanian/lietuvių
│  │  │  └─*西波罗的语支/West Baltic
│  │  │       *古普鲁士语/Old Prussian
│  │  └─斯拉夫语族/Slavic
│  │     ├─东斯拉夫语支/East Slavic
│  │     │    俄语/Russian/русский
│  │     │    乌克兰语/Ukrainian/українська
│  │     │    白俄罗斯语/Belarusian/беларуская
│  │     ├─西斯拉夫语支/West Slavic
│  │     │    波兰语/Polish/polski
│  │     │    捷克语/Czech/čeština
│  │     │    斯洛伐克语/Slovak/slovenčina
│  │     │    索布语/Sorbian
│  │     └─南斯拉夫语支/South Slavic
│  │          保加利亚语/Bulgarian/български
│  │          马其顿语/Macedonian
│  │          塞尔维亚—克罗地亚语（塞尔维亚语、克罗地亚语、波斯尼亚语、黑山语）/Serbo-Croatian/srpskohrvatski/српскохрватски/hrvatskosrpski/хрватскoсрпски
│  │          斯洛文尼亚语/Slovene/slovenščina
│  ├─希腊语族/Hellenic
│  │    希腊语/Greek/ελληνικά
│  ├─阿尔巴尼亚语族/Albanian
│  │    阿尔巴尼亚语/Albanian/shqip
│  ├─亚美尼亚语族/Armenian
│  │    亚美尼亚语/Armenian/հայերեն
│  ├─印度—伊朗语族/Indo-Iranian
│  │  ├─印度—雅利安语支/Indo-Aryan
│  │  │    印度斯坦语（印地语、乌尔都语）/Hindustani(Hindi,Urdu)/हिन्दी/اردو
│  │  │    孟加拉语/Bengali/বাংলা
│  │  │    旁遮普语/Punjabi/ਪੰਜਾਬੀ
│  │  │    马拉地语/Marathi
│  │  │    古吉拉特语/Gujarati/ગુજરાતી
│  │  │    拉贾斯坦语/Rajasthani
│  │  │    博杰普尔语/Bhojpuri
│  │  │    迈蒂利语/Maithili
│  │  │    奥里亚语/Odia
│  │  │    信德语/Sindhi
│  │  │    尼泊尔语/Nepali/नेपाली
│  │  │    阿萨姆语/Asamiya/অসমীয়া
│  │  │    切蒂斯格尔语/Chhattisgarhi
│  │  │    僧伽罗语/Sinhala/සිංහල
│  │  │    罗曼尼语/Romani
│  │  │    *梵语/Sanskrit/संस्कृतम्
│  │  │    *巴利语/Pali
│  │  ├─伊朗语支/Iranian
│  │  │    波斯语/Persian/فارسی
│  │  │    普什图语/Pashto/پښتو
│  │  │    库尔德语/Kurdish/کوردی
│  │  │    俾路支语/Balochi
│  │  │    吉拉基语/Gilaki
│  │  │    马赞德兰语/Mazanderani
│  │  │    塔吉克语/Tajik
│  │  │    卢尔语/Luri
│  │  └─努利斯坦语支/Nuristani
│  ├─*安那托利亚语族/Anatolian
│  │  │ *赫梯语/Hittite
│  │  │ *吕底亚语/Lydian
│  │  │ *巴莱语/Palaic
│  │  └─*卢维语支/Luwic
│  └─*吐火罗语族/Tocharian
│ *苏美尔语/Sumerian
│ *埃兰语/Elamite
├─*胡里安—乌拉尔图语系/Hurro-Urartian
│    *胡里安语/Hurrian
│    *乌拉尔图语/Urartian(Vannic)
│    *加喜特语/Kassite
├─*第勒尼安语系/Tyrsenian
│    *伊特鲁利亚语/Etruscan
│    *雷蒂亚语/Rhaetian(Rhaetic)
│    *利姆尼亚语/Lemnian
│    *卡莫尼语/Camunic
│ 巴斯克语/Basque/euskara
│ *伊比利亚语/Iberian
├─乌拉尔语系/Uralic
│  ├─芬兰—乌戈尔语族/Finno-Ugric
│  │  │ 马里语/Mari
│  │  ├─芬兰语支/Finnic
│  │  │    芬兰语/Finnish/suomi
│  │  │    爱沙尼亚语/Estonian/eesti
│  │  ├─乌戈尔语支/Ugric
│  │  │  │ 匈牙利语/Hungarian/magyar
│  │  │  └─鄂毕—乌戈尔语支/Ob-Ugric
│  │  ├─萨米语支/Sámi
│  │  │  ├─东萨米语/Eastern Sámi
│  │  │  └─西萨米语/Western Sámi
│  │  ├─彼尔姆语支/Permic
│  │  │    乌德穆尔特语/Udmurt
│  │  │    科米语/Komi
│  │  └─莫尔多瓦语支/Mordvinic
│  │       埃尔齐亚语/Erzya
│  │       莫克沙语/Moksha
│  └─萨莫耶德语族/Samoyedic
├─南高加索语系/South Caucasian(Kartvelian)
│  │ 斯凡语/Svan
│  └─卡特—赞语群/Karto-Zan
│     │ 格鲁吉亚语/Georgian/ქართული
│     └─赞语族/Zan
│          明格列尔语/Mingrelian
│          拉兹语/Laz
├─?北高加索语系/North Caucasian
│  ├─东北高加索语族/Northeast Caucasian(Nakh-Daghestanian)
│  │    车臣语/Chechen/нохчийн
│  │    阿瓦尔语/Avar
│  │    列兹金语/Lezgian
│  │    达尔格瓦语/Dargwa
│  │    印古什语/Ingush
│  │    拉克语/Lak
│  └─西北高加索语族/Northwest Caucasian(Abkhazo-Adyghean)
│       卡巴尔达语/Kabardian
│       阿迪格语/Adyghe
│       阿布哈兹语/Abkhaz
│       阿巴扎语/Abaza
├─达罗毗荼语系/Dravidian
│  ├─南达罗毗荼语族/South Dravidian
│  │  ├─泰米尔—卡纳达语支/Tamil-Kannada
│  │  │    泰米尔语/Tamil/தமிழ்
│  │  │    马拉雅拉姆语/Malayalam/മലയാളം
│  │  │    Beary/ಬ್ಯಾರಿ
│  │  │    伊鲁拉语/Irula
│  │  │    Kodava
│  │  │    托达语/Toda
│  │  │    科塔语/Kota
│  │  │    卡纳达语/Kannada/ಕನ್ನಡ
│  │  │    巴达加语/Badaga
│  │  └─图卢语支/Tulu
│  │       图卢语/Tulu/ತುಳು
│  │       科拉加语/Koraga
│  ├─中南达罗毗荼语族/South-Central Dravidian
│  │  │ 泰卢固语/Telugu/తెలుగు
│  │  └─贡德—库伊语支/Gondi-Kui
│  │     ├─贡德语支/Gondi
│  │     │    贡德语/Gondi/గోండి
│  │     │    马里亚语/Maria(Madiya)
│  │     │    科亚语/Koya
│  │     └─孔达—库伊语支/Konda-Kui
│  │          库伊语/Kui
│  │          库维语/Kuvi
│  │          孔达语/Konda
│  │          曼达语/Manda
│  │          彭戈语/Pengo
│  ├─中达罗毗荼语族/Central Dravidian
│  │  ├─科拉米—耐基语支/Kolami-Naiki
│  │  │    科拉米语/Kolami(Kolava)
│  │  │    耐基语/Naiki
│  │  └─帕尔基—加大巴语支/Parji-Gadaba
│  │       帕尔基语/Parji(Duruwa)
│  │       奥拉瑞语/Ollari
│  │       加大巴语/Gadaba(Kondekor)
│  └─北达罗毗荼语族/North Dravidian
│     │ 布拉灰语/Brahui/براہوئی
│     └─库鲁克—马尔托语支/Kurukh–Malto
│          库鲁克语/Kurukh/कुंड़ुख़्
│          马尔托语/Malto
├─亚非语系（闪含语系）/Afroasiatic(Semito-Hamitic)
│  ├─闪语族/Semitic
│  │  ├─*东闪语支/East Semitic
│  │  │    *阿卡德语/Akkadian
│  │  └─西闪语支/West Semitic
│  │     ├─南闪语支/South Semitic
│  │     │  ├─埃塞俄比亚闪语支/Ethiopian Semitic
│  │     │  │    阿姆哈拉语/Amharic/አማርኛ
│  │     │  │    提格雷语/Tigre
│  │     │  │    提格雷尼亚语/Tigrinya
│  │     │  │    格厄兹语/Geʽez
│  │     │  ├─现代南阿拉伯语支/Modern South Arabian
│  │     │  └─古代南阿拉伯语支（也可能归为中闪语支）/Old South Arabian
│  │     └─中闪语支/Central Semitic
│  │        ├─阿拉伯语/Arabic/العربية
│  │        │    标准阿拉伯语/Standard Arabic
│  │        │    埃及阿拉伯语/Egyptian Arabic
│  │        │    黎凡特阿拉伯语/Levantine Arabic
│  │        │    半岛阿拉伯语/Peninsular Arabic
│  │        └─西北闪语支/Northwest Semitic
│  │           ├─迦南语/Canaanite
│  │           │    希伯来语/Hebrew/עברית
│  │           │    *腓尼基语/Phoenician
│  │           └─阿拉姆语/Aramaic
│  │                阿拉姆语/Aramaic/ܐܪܡܝܐ
│  │                新亚述语/Suret(Assyrian)
│  │                叙利亚语/Syriac/ܠܫܢܐ ܣܘܪܝܝܐ
│  ├─*埃及语族/Egyptian
│  │    *古埃及语/Ancient Egyptian
│  │    *科普特语/Coptic
│  ├─柏柏尔语族/Berber
│  │    柏柏尔语/Amazigh/ⵜⴰⵎⴰⵣⵉⵖⵜ/Tamaziɣt
│  ├─库施语族/Cushitic
│  │  ├─北库施语支/North Cushitic
│  │  │    贝扎语/Beja
│  │  ├─中库施语支/Central Cushitic(Agaw)
│  │  │    Awngi
│  │  ├─南库施语支/South Cushitic
│  │  │    伊拉库语/Iraqw
│  │  └─东库施语支/East Cushitic
│  │       奥罗莫语/Oromo
│  │       索马里语/Somali
│  │       锡达莫语/Sidama
│  │       阿法尔语/Afar
│  ├─乍得语族/Chadic
│  │  ├─西乍得语支/West Chadic
│  │  │    豪萨语/Hausa/هَرْشٜىٰن هَوْسَا
│  │  ├─比乌—曼达拉语支/Biu-Mandara
│  │  ├─东乍得语支/East Chadic
│  │  └─马萨语支/Masa
│  └─奥摩语族/Omotic
│     ├─南奥摩语支/South Omotic(Aroid)
│     │    Aari
│     └─北奥摩语支/North Omotic(Ta-Ne Omotic)
│          Kafa
├─?尼日尔—刚果语系/Niger-Congo
│  ├─大西洋—刚果语族/Atlantic–Congo
│  │  ├─沃尔特—刚果语支/Volta-Congo
│  │  │  ├─Kwa
│  │  │  ├─Kru
│  │  │  ├─沃尔特—尼日尔语支/Volta–Niger
│  │  │  │    约鲁巴语/Yoruba/Yorùbá
│  │  │  ├─贝努埃—刚果语支/Benue-Congo
│  │  │  │  └─类班图语支/Bantoid
│  │  │  │     └─班图语支/Bantu
│  │  │  │          斯瓦西里语/Swahili/Kiswahili
│  │  │  │          林加拉语/Lingala/Lingála
│  │  │  │          祖鲁语/Zulu/isiZulu
│  │  │  │          豪萨语/Xhosa/isiXhosa
│  │  │  │          绍纳语/Shona/chiShona
│  │  │  ├─Adamawa
│  │  │  ├─Ubangian
│  │  │  └─Gur
│  │  └─大西洋语支/Atlantic
│  │       富拉语/Fula
│  │       沃洛夫语/Wolof
│  ├─曼德语族/Mande
│  │  ├─东南曼德语支/Southeast Mande
│  │  └─西曼德语支/West Mande
│  │       曼宁卡语/Maninka/ߡߊ߬ߣߌ߲߬ߞߊ߬ߞߊ߲
│  │       曼丁卡语/Mandinka(Mandingo)/ߡߊ߲߬ߘߌ߲߬ߞߊ
│  │       班巴拉语/Bambara/Bamanankan
│  │       迪尤拉语/Dyula
│  │       索宁克语/Soninke
│  │       克培列语/Kpelle
│  │       门德语/Mende
│  │       苏苏语/Susu
│  ├─科尔多凡语族/Kordofanian
│  │  ├─Katloid
│  │  ├─Lafofa
│  │  ├─Rashad
│  │  └─Talodi-Heiban
│  ├─多贡语族/Dogon
│  │    Dogul
│  │    Donno So
│  └─类伊乔语族/Ijoid
│       Izon
│       Kalabari
├─?尼罗—撒哈拉语系/Nilo-Saharan
│  ├─撒哈拉语族/Saharan
│  │  ├─西撒哈拉语支/Western Saharan
│  │  │    卡努里语/Kanuri/Kanuri
│  │  │    卡涅姆语/Kanembu
│  │  │    达扎语/Daza
│  │  │    特达语/Teda
│  │  └─东撒哈拉语支/Eastern Saharan
│  │       扎加瓦语/Zaghawa
│  ├─桑海语族/Songhay(Songhai)
│  │  ├─南桑海语支/Southern Songhay
│  │  │    哲尔马语/Zarma/Zarma Ciine
│  │  │    登迪语/Dendi
│  │  │    Songhoyboro Ciine
│  │  │    Koyra Chiini
│  │  │    东桑海语/Koyraboro Senni
│  │  └─北桑海语支/Northern Songhay
│  │       Tadaksahak
│  │       Tagdal
│  │       Tasawaq
│  │       科兰杰语/Korandje
│  ├─富尔语族/Fur
│  │    富尔语/Fur
│  ├─中苏丹语族/Central Sudanic
│  │  ├─东部中苏丹语支/East Central Sudanic
│  │  │  ├─伦杜语支/Lenduic
│  │  │  │    伦杜语/Lendu/bbaledhà
│  │  │  │    Ngiti
│  │  │  │    Ndrulo
│  │  │  ├─芒贝图语支/Mangbetu
│  │  │  │    芒贝图语/Mangbetu
│  │  │  │    Asoa
│  │  │  ├─芒布图语支/Mangbutu
│  │  │  │    芒布图语/Mangbutu
│  │  │  │    埃费语/Efe(Lese)
│  │  │  └─莫鲁—马迪语支/Moru-Madi
│  │  │       莫鲁语/Moru
│  │  │       马迪语/Ma'di
│  │  │       卢格巴拉语/Lugbara
│  │  ├─邦戈—巴吉尔米语支/Bongo-Bagirmi
│  │  │  ├─Bongo-Baka
│  │  │  │  │ 邦戈语/Bongo
│  │  │  │  │ Baka
│  │  │  │  └─Morokodo-Beli
│  │  │  ├─卡拉语支/Kara
│  │  │  ├─巴吉尔米语支/Bagirmi
│  │  │  │    巴吉尔米语/Bagirmi(Barma)
│  │  │  │    Naba
│  │  │  ├─萨拉语支/Sara
│  │  │  │    Ngambay
│  │  │  │    Sar
│  │  │  ├─Kaba
│  │  │  └─Vale
│  │  └─Birri-Kresh
│  ├─Kadu
│  ├─Kuliak
│  ├─马巴语族/Maban
│  │    马巴语/Maba
│  │    马萨利特语/Masalit
│  ├─东苏丹语族/Eastern Sudanic
│  │  ├─北部东苏丹语支/Northern Eastern Sudanic
│  │  │  │ Nara
│  │  │  ├─努比亚语支/Nubian
│  │  │  │    Nobiin
│  │  │  │    Kenzi
│  │  │  │    Dongolawi
│  │  │  ├─尼芒/Nyima
│  │  │  │    尼芒语/Nyimang(Ama)
│  │  │  └─塔马/Taman
│  │  │       塔马语/Tama
│  │  │       Sungor
│  │  └─南部东苏丹语支/Southern Eastern Sudanic
│  │     ├─Surmic
│  │     │  ├─North Surmic
│  │     │  │    Majang
│  │     │  ├─Southeast Surmic
│  │     │  │    Kwegu
│  │     │  │    Me'en
│  │     │  │    穆尔西语/Mursi
│  │     │  │    Suri
│  │     │  └─Southwest Surmic
│  │     │       Baale
│  │     │       迪丁加语/Didinga
│  │     │       Laarim
│  │     │       穆尔勒语/Murle
│  │     │       Tennet
│  │     ├─Eastern Jebel
│  │     │    Gaam
│  │     ├─特梅因语支/Temein
│  │     │    特梅因语/Temein
│  │     │    Tese
│  │     ├─达古语支/Daju
│  │     │  ├─东部达古语支/Eastern Daju
│  │     │  │    Shatt
│  │     │  │    Logorik
│  │     │  └─西部达古语支/Western Daju
│  │     │       Daju Mongo
│  │     │       Sila
│  │     │       Nyala
│  │     └─尼罗语支/Nilotic
│  │        ├─东尼罗语支/Eastern Nilotic
│  │        │    特索语/Teso/Ateso
│  │        │    马赛语/Maasai/ɔl Maa
│  │        │    图尔卡纳语/Turkana
│  │        │    巴里语/Bari
│  │        ├─南尼罗语支/Southern Nilotic
│  │        │    卡伦金语/Kalenjin
│  │        │    塔托格语/Datooga
│  │        └─西尼罗语支/Western Nilotic
│  │           │ 丁卡语/Dinka
│  │           │ 努尔语/Nuer
│  │           └─卢欧语支/Luo
│  │                卢欧语/Luo/Dholuo
│  ├─库纳马语族/Kunama
│  │    库纳马语/Kunama
│  ├─贝尔塔语族/Berta
│  │    贝尔塔语/Berta
│  └─科马语族/Komuz
│     ├─科马语支/Koman
│     └─古穆兹语支/Gumuz
├─?科依桑语系/Khoisan
│  │ 桑达韦语/Sandawe
│  │ 哈扎语/Hadza
│  ├─科依—瓜地语族/Khoe-Kwadi
│  │    科伊科伊语/Khoekhoe
│  ├─图乌语系/Tuu
│  │    宏语/ǃXóõ(Taa)
│  └─科语系/Kxʼa
├─汉藏语系/Sino-Tibetan
│  ├─汉语/Chinese
│  │    官话方言/Mandarin
│  │    粤方言/Yue(Cantonese)
│  │    客家方言/Hakka
│  │    闽方言/Min
│  │    吴方言/Wu
│  │    湘方言/Xiang
│  │    赣方言/Gan
│  │    晋方言/Jin
│  │    徽方言/Hui
│  │    平方言/Pinghua
│  └─藏缅语族/Tibeto-Burman
│     │ 白语/Bai
│     │ 土家语/Tujia
│     ├─藏语支/Bodish
│     │    藏语/Tibetan/བོད་སྐད་
│     ├─达芒语支/Tamangic
│     │    达芒语/Tamang
│     ├─西喜马拉雅语支/West Himalayish
│     ├─库基—钦—那加语支/Kuki-Chin-Naga
│     │  │ 曼尼普尔语/Manipuri(Meitei)
│     │  ├─库基—钦语支/Kuki-Chin
│     │  │    米佐语/Mizo
│     │  └─那加语支/Naga
│     ├─萨尔语支/Sal
│     │  ├─博多-加罗语支/Bodo-Garo(Boro–Garo)
│     │  │    博多语/Boro
│     │  ├─孔亚克语支/Konyak
│     │  └─景颇—卢伊语支/Jingpho–Luish
│     │       景颇语/Jingpo
│     ├─缅彝语支/Lolo-Burmese
│     │  ├─缅语支/Burmish
│     │  │    缅甸语/Burmese/မြန်မာဘာသာ
│     │  ├─彝语支/Loloish
│     │  │    彝语北部方言（凉山彝语）/Nuosu/ꆈꌠ꒿
│     │  │    拉祜语/Lahu
│     │  │    傈僳语/Lisu
│     │  │    哈尼语/Hani
│     │  └─曼子语支/Mondzish
│     ├─纳语支/Naic
│     │    纳西语/Naxi
│     ├─羌语支/Qiangic
│     │    *西夏语/Tangut
│     │    嘉绒语/Gyalrong/རྒྱལ་རོང་
│     │    羌语/Qiang/Rma
│     ├─克伦语支/Karenic
│     │    斯高克伦语/S'gaw Karen
│     │    勃欧克伦语/Pa'O
│     │    波克伦语/Pwo
│     └─侬语支/Nungish
│          独龙语/Derung
├─壮侗语系/Kra-Dai
│  │ 临高语/Be
│  ├─壮傣语支/Tai
│  │    壮语/Zhuang/Vahcuengh/話壯
│  │    傣仂语/Tai Lue/ᦅᧄᦺᦑᦟᦹᧉ
│  │    傣那语（德宏傣语）/Tai Nüa/ᥖᥭᥰ ᥘᥫᥴ
│  │    掸语/Shan
│  │    泰语/Thai/ไทย
│  │    老挝语/Lao/ລາວ
│  ├─仡央语支/Kra
│  ├─侗水语支/Kam-Sui
│  │    侗语/Kam/Gaeml
│  │    水语/Sui
│  └─黎语支/Hlai
├─苗瑶语系/Hmong-Mien
│  ├─苗语族/Hmongic
│  │    苗语川黔滇方言/Hmong
│  │    苗语湘西方言/Xong
│  │    苗语黔东方言/Hmu
│  │    畲语/She
│  └─瑶语支/Mienic
│       勉方言/Iu Mien
├─南亚语系/Austroasiatic
│  ├─孟高棉语族/Mon-Khmer
│  │  │ 高棉语/Khmer/ភាសាខ្មែរ
│  │  ├─比尔语支/Pearic
│  │  ├─巴拿语支/Bahnaric
│  │  ├─越语支/Vietic
│  │  │    越南语/Vietnamese/Tiếng Việt/㗂越
│  │  │    芒语/Muong/Thiểng Mường
│  │  ├─戈都语支/Katuic
│  │  ├─尼科巴语支/Nicobaric
│  │  ├─亚斯里语支/Aslian
│  │  └─孟语支/Monic
│  │       孟语/Mon
│  ├─卡西—克木语族/Khasi-Khmuic(Khasi–Palaungic)
│  │  ├─克木语支/Khmuic
│  │  │    克木语/Khmu
│  │  ├─莽语支/Pakanic
│  │  │    莽语/Mang
│  │  ├─佤德昂语支/Palaungic
│  │  │    德昂语/Palaung
│  │  │    佤语/Wa
│  │  └─卡西语支/Khasic
│  │       卡西语/Khasi
│  └─蒙达语族/Munda
│       雷莫语/Remo
│       索拉语/Sora
│       卡利亚语/Kharia
│       朱昂语/Juang
│       科尔库语/Korku
│       蒙达里语/Mundari
│       桑塔利语/Santali/ᱥᱟᱱᱛᱟᱲᱤ
├─南岛语系/Austronesian
│  ├─台湾南岛语/Formosan
│  │    鲁凯语/Rukai
│  │    邹语/Tsou
│  │    泰雅语/Atayal
│  │    赛德克语/Seediq
│  │    赛夏语/Saisiyat
│  │    邵语/Thao
│  │    噶玛兰语/Kavalan
│  │    阿美语/Amis
│  │    布农语/Bunun
│  │    排湾语/Paiwan
│  │    卑南语/Puyuma
│  └─马来—波利尼西亚语族/Malayo-Polynesian
│     │ 印尼语/Indonesian/bahasa Indonesia
│     │ 马来语/Malay/bahasa Melayu
│     │ 他加禄语（菲律宾语）/Tagalog/Tagalog
│     │ 爪哇语/Javanese/basa Jawa/ꦧꦱꦗꦮ
│     │ 巽他语/Sundanese/basa Sunda
│     │ 宿务语/Cebuano/Bisayâ 
│     │ 马都拉语/Madurese
│     │ 巴厘语/Balinese/basa Bali
│     │ 伊洛卡诺语/Ilocano
│     │ 希利盖农语/Hiligaynon
│     │ 马达加斯加语/Malagasy/malagasy
│     └─大洋洲语族/Oceanic
│         斐济语/Fijian
│         萨摩亚语/Samoan
│         汤加语/Tongan
│         塔希提语/Tahitian
│         库阿努阿语/Kuanua(Tolai)
│         毛利语/Māori
│         基里巴斯语/Gilbertese
│         夏威夷语/Hawaiian
├─日琉语系/Japonic
│  │ 日语/Japanese/日本語
│  └─琉球语/Ryukyuan
│     ├─北琉球语/North Ryukyuan
│     │    冲绳语/Okinawan/うちなーぐち/沖縄口
│     │    奄美语/Amami/シマユムタ/島口
│     └─南琉球语/South Ryukyuan
│          宫古语/Miyakoan
│          八重山语/Yaeyama
│          与那国语/Yonaguni
├─阿伊努语系/Ainu
│    阿伊努语/Ainu/アィヌ イタㇰ
├─朝鲜语系/Koreanic
│  │ 朝鲜语/Korean/한국어/조선말
│  │ 济州语（方言）/Jeju/제줏말
│  └─*扶余语族/Puyŏ
│       *扶余语/Buyeo
│       *高句丽语/Goguryeo
│       *百济语/Baekje
├─?阿尔泰语系/Altaic
│  ├─突厥语系/Turkic
│  │  ├─共同突厥语/Common Turkic
│  │  │  ├─阿胡语支/Argu
│  │  │  │    哈拉吉语/Khalaj
│  │  │  ├─乌古斯（西南）语支/Oghuz
│  │  │  │  │ 撒拉语/Salar
│  │  │  │  ├─西乌古斯语支/Western Oghuz
│  │  │  │  │    土耳其语/Turkish/Türkçe
│  │  │  │  │    阿塞拜疆语/Azerbaijani/Azərbaycanca
│  │  │  │  │    加告兹语/Gagauz
│  │  │  │  │    巴尔干加告兹语/Balkan Gagauz
│  │  │  │  ├─东乌古斯语支/Eastern Oghuz
│  │  │  │  │    土库曼语/Turkmen/Türkmençe
│  │  │  │  │    呼罗珊突厥语/Khorasani Turkic
│  │  │  │  └─南乌古斯语支/Southern Oghuz
│  │  │  │       阿夫沙尔语/Afshar/Əfşar
│  │  │  │       卡什加语/Qashqai
│  │  │  ├─钦察（西北）语支/Kipchak
│  │  │  │  ├─钦察—保加尔语支/Kipchak-Bulgar
│  │  │  │  │    鞑靼语/Tatar/татарча
│  │  │  │  │    巴什基尔语/Bashkir
│  │  │  │  ├─钦察—库曼语支/Kipchak-Cuman
│  │  │  │  │    克里米亚鞑靼语/Crimean Tatar
│  │  │  │  │    库梅克语/Kumyk
│  │  │  │  │    卡拉恰伊—巴尔卡尔语/Karachay-Balkar
│  │  │  │  │    乌鲁姆语/Urum
│  │  │  │  ├─钦察—诺盖语支/Kipchak-Nogai
│  │  │  │  │    哈萨克语/Kazakh/қазақша
│  │  │  │  │    卡拉卡尔帕克语/Karakalpak
│  │  │  │  │    诺盖语/Nogai
│  │  │  │  │    西伯利亚鞑靼语/Siberian Tatar
│  │  │  │  │    罗马尼亚鞑靼语/Romanian Tatar(Dobrujan Tatar)
│  │  │  │  └─钦察—吉尔吉斯语支/Kipchak-Kyrgyz
│  │  │  │       柯尔克孜语/Kyrgyz/Кыргызча
│  │  │  │       南阿尔泰语/Southern Altai
│  │  │  ├─葛逻禄（东南）语支/Karluk
│  │  │  │  ├─西葛逻禄语支/Western Karluk
│  │  │  │  │    乌兹别克语/Uzbek/o'zbekcha
│  │  │  │  └─东葛逻禄语支/Eastern Karluk
│  │  │  │       维吾尔语/Uyghur/ئۇيغۇرچە
│  │  │  │       土尔克语/Ili Turki
│  │  │  │       艾努语/Äynu
│  │  │  │       *喀喇汗语/Karakhanid
│  │  │  │       *察合台语/Chagatai
│  │  │  └─西伯利亚（东北）语支/Siberian Turkic
│  │  │     ├─南西伯利亚语支/Southern Siberian Turkic
│  │  │     │  │ 楚利姆语/Chulym
│  │  │     │  ├─萨彦亚语支/Sayan Turkic
│  │  │     │  │    图瓦语/Tuvan
│  │  │     │  ├─叶尼塞亚语支/Yenisa Turkic
│  │  │     │  │    北阿尔泰语/Northern Altai
│  │  │     │  │    哈卡斯语/Khakas
│  │  │     │  │    富裕柯尔克孜语（黑龙江柯尔克孜语）/Fuyu Kyrgyz
│  │  │     │  │    西部裕固语/Western Yugur
│  │  │     │  └─*古突厥语支/Old Turkic
│  │  │     │       *鄂尔浑突厥语/Orkhon Turkic
│  │  │     │       *古突厥语/Old Turkic
│  │  │     │       *回鹘语/Old Uyghur
│  │  │     └─北西伯利亚语支/Northern Siberian Turkic
│  │  │         雅库特语/Yakut
│  │  └─乌古尔语支/Oghuric
│  │      楚瓦什语/Chuvash/Чӑвашла
│  │      *保加尔语/Bulgar
│  ├─蒙古语系/Mongolic
│  │  ├─蒙古语族/Mongolic
│  │  │  ├─通用蒙古语语支/Common Mongolic
│  │  │  │    蒙古语/Mongolic/ᠮᠣᠩᠭᠣᠯ ᠬᠡᠯᠡ/Монгол хэл
│  │  │  │    布里亚特语/Buryat
│  │  │  │    卫拉特语/Oirat
│  │  │  │    哈米尼干语/Khamnigan
│  │  │  ├─达斡尔语支/Dagur
│  │  │  │    达斡尔语/Dagur
│  │  │  ├─西喇古儿语支/Shirongolic
│  │  │  │    土族语/Monguor
│  │  │  │    东乡语/Santa
│  │  │  │    保安语/Bonan
│  │  │  │    东部裕固语/Eastern Yugur
│  │  │  │    康家语/Kangjia
│  │  │  └─蒙戈勒语支/Moghol
│  │  │       蒙戈勒语/Mogholi
│  │  └─*旁蒙古语族/Para-Mongolic
│  │     └─*鲜卑语/Serbi
│  │          *契丹语/Khitan
│  │          *吐谷浑语/Tuyuhun
│  └─通古斯语系/Tungusic
│     ├─南通古斯语族/Southern Tungusic
│     │  ├─满（女真）语支/Jurchenic
│     │  │    满语/Manchu/ᠮᠠᠨᠵᡠ ᡤᡳᠰᡠᠨ
│     │  │    锡伯语/Xibe/ᠰᡳᠪᡝ ᡤᡳᠰᡠᠨ
│     │  └─赫哲（那乃）语支/Nanaic
│     │       赫哲语/Nanai
│     │       鄂罗克语/Uilta(Orok)
│     │       乌尔奇语/Ulch
│     └─北通古斯语族/Northern Tungusic
│        ├─鄂温语支/Ewenic
│        │    鄂温语/Even
│        │    鄂温克语/Evenki
│        │    鄂伦春语/Oroqen
│        │    涅吉达尔语/Negidal
│        └─乌德盖语支/Udegheic
│             奥罗奇语/Oroch
│             乌德盖语/Udege
├─跨新几内亚语系/Trans-New Guinea
│    恩加语/Enga
│    西达尼语/Western Dani
│    胡里语/Huli
│    梅尔帕语/Melpa
│    伊卡利语/Ekari
│    Makasae
├─?西跨新几内亚语系/West Trans-New Guinea
├─?西巴布亚语系/West Papuan
├─塞皮克语系/Sepik
├─托里切利语族/Torricelli
├─帕玛–努干语系/Pama-Nyungan
├─克丘亚语系/Quechuan
│    克丘亚语/Quachua
├─图皮语系/Tupian
│    瓜拉尼语/Guarani
│    Nheengatu
├─艾马拉语系/Aymaran
│    艾马拉语/Aymara
├─阿拉瓦克语系/Arawakan
│    瓦尤语/Wayuu
│    Garifuna
├─奇布恰语系/Chibchan
│    Guaymí
├─阿劳坎语系/Araucanian
│    马普切语/Mapuche
├─加勒比语系/Cariban
├─玛雅语系/Mayan
│    尤卡坦玛雅语/Yucatec Maya
│    乔尔语/Chʼol
├─易洛魁语系/Iroquoian
│    切罗基语/Cherokee/ᏣᎳᎩ
│    莫霍克语/Mohawk
├─犹他—阿兹特克语系/Uto-Aztecan
│    纳瓦特尔语/Nahuatl
├─欧托—曼格语系/Oto-Manguean
│    米斯特克语/Mixtec
│    萨波特克语/Zapotec
│    Otomi
│    Mazahua
│    Chinantec
│    Mazatec
├─米苏马尔盘语系/Misumalpan
│    米斯基托语/Miskito
├─托托纳克语系/Totonacan
│    托托纳克语/Totonac
├─米赫—索克语系/Mixe-Zoque
│    米赫语/Mixe
│    索克语/Zoque
│ 普雷佩查语/Purépecha
├─阿尔吉克语系/Algic
│  └─阿尔冈昆语/Algonquian
│       克里语/Cree
│       奥吉布瓦语/Ojibwe
├─?德内—叶尼塞语系/Dené-Yeniseian
├─爱斯基摩—阿留申语系/Eskimo-Aleut(Eskaleut)
│    阿留申语
│    伊努克提图特语（因纽特语）/Inuktitut/ᐃᓄᒃᑎᑐᑦ
```

